- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::CClassManager Class Reference

List of all members.

## Detailed Description

Stores global class information.

CClassManager stores information about all of the classes setup on the system. It can log the instance count
and other information about the class directory structure
It exists statically as a static part of the CClass class, and should only be accessed through that

Date:
  24/06/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CClassManager.hpp,v 1.7 2007/02/11 02:15:54 paul Exp

Definition at line 59 of file CClassManager.hpp.

## Public Member Functions

- CClassManager ()
- CClass * getClassWithName (const char *name)
- bool isClassRegistered (const CClass &theClass) const
- void logClassInformation (CTextStream *stream) const
- void registerClass (CClass *theClass)
- void sortClasses ()
- virtual ~CClassManager ()

## Protected Attributes

- TPointerCollection< CClass > * m_classes
- TObjectNuller< CClass > * m_classNuller

## Constructor & Destructor Documentation

Exponent::Basics::CClassManager::CClassManager | ( |  | ) |

Construction

virtual Exponent::Basics::CClassManager::~CClassManager | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

CClass* Exponent::Basics::CClassManager::getClassWithName | ( | const char * | name | ) |

Get an object class given a name

Parameters:

  | name | The name of the class

Return values:

  | CClass* | The class or NULL on error. Never, ever delete this class, it is owned by the system

Note:
  This function is not for general usage. Because of the name mangling that can happen, you may not always be guaranteed to be passing in the correct name

bool Exponent::Basics::CClassManager::isClassRegistered | ( | const CClass & | theClass | ) | const

Check if a class is actually registered

Parameters:

  | theClass | The class to check if registered

Return values:

  | bool | True if class is registered, false otherwise

void Exponent::Basics::CClassManager::logClassInformation | ( | CTextStream * | stream | ) | const

Stream the class log information out to a disk file

Parameters:

  | stream | The stream to use

void Exponent::Basics::CClassManager::registerClass | ( | CClass * | theClass | ) |

Register a new class in to the data base

Parameters:

  | theClass | The class to register

void Exponent::Basics::CClassManager::sortClasses | ( |  | ) |

Sort the classes

## Member Data Documentation

TPointerCollection<CClass>* Exponent::Basics::CClassManager::m_classes`[protected]`

Class objects

Definition at line 119 of file CClassManager.hpp.

TObjectNuller<CClass>* Exponent::Basics::CClassManager::m_classNuller`[protected]`

Nulling object

Definition at line 120 of file CClassManager.hpp.